CANDUMP(8)

NAME
candump - dump messages from CAN bus interfaces to stdout

SYNOPSIS
candump <interface> [Options]

DESCRIPTION
candump receives messages from a CAN (Controller Area Network) bus interface and dumps it to stdout.

ARGUMENTS and OPTIONS

interface
    The name of the interface. This is usually a driver name followed by a unit number, for example "can0".

-f family
    Specifies the protocol family which has to be sniffed for. Default is PF_CAN, which is 30.

-t type
    Specifies the socket type to be sniffed on. Default is SOCK_RAW, which is 3.

-p proto
    Specifies the protocol to sniff for; default is CAN_PROTO_RAW, which is 0.

SEE ALSO
- ifconfig(8), canconfig(8), canecho(8)
- http://www.pengutronix.de/software/socket-can/ (Socket-CAN Project)

AUTHORS
Marc Kleine-Budde <m.kleine-budde@pengutronix.de> Robert Schwebel <r.schwebel@pengutronix.de>